%{?nodejs_find_provides_and_requires}

%global packagename domutils
%global enable_tests 1

Name:		nodejs-domutils
Version:	1.5.1
Release:	3%{?dist}
Summary:	Utilities for working with htmlparser2's dom

License:	BSD
URL:		https://github.com/FB55/domutils.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(htmlparser2)
%endif

Requires:	nodejs

%description
Utilities for working with htmlparser2's dom


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test /usr/bin/mocha -R spec test/tests/**
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-3
- Fix missing BuildRequires for the test suite

* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-2
- Add and enable tests, and do not forget about the lib/ directory

* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Initial packaging
